payment_options.php
    <table class="form-table">
        <tr>
            <td><label for="mollie_opt"><input type="checkbox" name="options[mollie]" id="mollie_opt" value="1" <?php checked($values['mollie'], 1); ?> onclick="frm_show_div('hide_mollie',this.checked,1,'.')"/> <?php _e('Send users to mollie after submitting this form', 'frmmollie') ?></label></td>
        </tr>
         
        <tr class="hide_mollie" <?php echo $hide_mollie ?>>
            <td>
            <p><label class="frm_left_label"><?php _e('Omschrijving', 'frmmollie') ?></label>
            <input type="text" name="options[mollie_item_name]" id="mollie_item_name" value="<?php echo esc_attr(stripslashes($values['mollie_item_name'])); ?>" class="frm_not_email_subject frm_with_left_label" /></p>
            
            <div class="clear"></div>
            <p class="frm_pp_toggle_new"><label class="frm_left_label"><?php _e('Bedrag', 'frmmollie') ?></label>
            <select name="options[mollie_amount_field]" class="frm_cancelnew" <?php echo $show_amount ? 'style="display:none;"' : ''; ?>>
                <option value=""><?php _e( '&mdash; Kies &mdash;' ) ?></option>
                <?php
                $selected = false;
                if(isset($form_fields) and is_array($form_fields)){
                    foreach($form_fields as $field){ 
                        if($field->type == 'checkbox')
                            continue;
                        
                        if ( $values['mollie_amount_field'] == $field->id ) {
                            $selected = true;
                        }
                    ?>
                    <option value="<?php echo $field->id ?>" <?php selected($values['mollie_amount_field'], $field->id) ?>><?php echo substr(esc_attr(stripslashes($field->name)), 0, 50);
                    unset($field); 
                    ?></option>
                    <?php 
                    }
                }
                ?>
            </select>
            <input type="text" value="<?php echo $values['mollie_amount'] ?>" name="options[mollie_amount]" class="frm_enternew" <?php echo $show_amount ? '' : 'style="display:none;"'; ?> />
            <span class="clear"></span>
            <label class="frm_left_label">&nbsp;</label>
            <a class="hide-if-no-js frm_toggle_pp_opts">
                <span class="frm_enternew" <?php echo $show_amount ? 'style="display:none;"' : ''; ?>><?php _e('Set Amount', 'frmmollie'); ?></span>
                <span class="frm_cancelnew" <?php echo $show_amount ? '' : 'style="display:none;"'; ?>><?php _e('Select Field', 'frmmollie'); ?></span>
            </a>
            </p>
            <div class="clear"></div>
            <p>
                <label class="frm_left_label"><?php _e('Donaties', 'frmmollie' ) ?></label>
                <label for="mollie_type"><input type="checkbox" value="_donations" name="options[mollie_type]" <?php checked($values['mollie_type'], '_donations') ?> id="mollie_type" />
                    <?php _e('Betalingen zijn donaties.', 'frmmollie') ?>
                </label>
            </p>
            <div class="clear"></div>
            <p>
                <label class="frm_left_label"><?php _e('Notifications', 'frmmollie' ) ?></label>
                <label for="mollie_stop_email"><input type="checkbox" value="1" name="options[mollie_stop_email]" <?php checked($values['mollie_stop_email'], 1) ?> id="mollie_stop_email" />
                    <?php _e('Houd email vast tot betaling is ontvangen.', 'frmmollie') ?>
                    <span class="frm_help frm_icon_font frm_tooltip_icon" title="<?php _e('Verstuur geen emails (inclusief eventuele registratie email). Stuur pas emails na ontvangst van de betaling.', 'frmmollie') ?>" ></span>
                </label>
            </p>
            <div class="clear"></div>

        <div class="frm_add_remove">
        <p class="frm_add_logic_link" id="logic_link_mollie">
            <a class="frm_add_mollie_logic" data-emailkey="mollie" <?php echo (!isset($values['mollie_list']['hide_field']) || empty($values['mollie_list']['hide_field'])) ? '' : 'style="display:none"'; ?>><?php _e('Gebruik condities', 'frmmollie') ?></a></p>
        <div id="frm_pay_fields" class="frm_logic_rows" <?php echo (isset($values['mollie_list']['hide_field']) && !empty($values['mollie_list']['hide_field'])) ? '' : ' style="display:none"'; ?>>
            <h4><?php _e('Condities', 'frmmollie') ?></h4>
            <div class="frm_pay_logic_rows">
                <div id="frm_pay_logic_row">
        <?php
        
        if ( isset($values['mollie_list']['hide_field']) && !empty($values['mollie_list']['hide_field']) ) {
            foreach ( (array) $values['mollie_list']['hide_field'] as $meta_name => $hide_field ) {
                FrmMolliePaymentSettingsController::include_logic_row($meta_name, $values['id'], $values['mollie_list']);
                unset($meta_name, $hide_field);
            }
        }
        ?>
                </div>
            </div>
        </div>
        </div>
        </td>
        </tr>
    </table>

<script type="text/javascript">
jQuery(document).ready(function($){
$('#mollie_settings, .mollie_settings').on('click', '.frm_toggle_pp_opts', frm_toggle_pp_opts);
$('#mollie_settings, .mollie_settings').on('click', '.frm_add_mollie_logic', frmPayAddLogicRow);
});

function frmPayAddLogicRow(){
if(jQuery('#frm_pay_logic_row .frm_logic_row_mollie').length)
    var len=1+parseInt(jQuery('#frm_pay_logic_row .frm_logic_row_mollie:last').attr('id').replace('frm_logic_mollie_', ''));
else var len=0;
jQuery.ajax({
    type:"POST",url:ajaxurl,
    data:"action=frm_pay_add_logic_row&form_id=<?php echo $values['id'] ?>&meta_name="+len,
    success:function(html){
        jQuery('#logic_link_mollie .frm_add_mollie_logic').hide();
        jQuery('#frm_pay_fields').show();
        jQuery('#frm_pay_logic_row').append(html);
    }
});
}

function frm_toggle_pp_opts(){
	jQuery(this).closest('.frm_pp_toggle_new').find('.frm_enternew, .frm_cancelnew').toggle();
	jQuery(this).closest('.frm_pp_toggle_new').find('input.frm_enternew, select.frm_cancelnew').val('');
	return false;
}
</script>